
/**
 * Beschreiben Sie hier die Klasse Mittellinie.
 * 
 * @author (Sven Pattloch, Luis Nutz, Alexander Leih, Dennis Schweiger) 
 * @version (0.1)
 */
public class Mittellinie
{
    // Instanzvariablen - ersetzen Sie das folgende Beispiel mit Ihren Variablen
    private Rechteck[] rechteckliste;
    private ZEICHENFENSTER zeichenblatt;

    /**
     * Konstruktor für Objekte der Klasse Mittellinie
     */
    public Mittellinie(ZEICHENFENSTER zeichenblatt)
    {
        // Instanzvariable initialisieren
      zeichneMittellinie(zeichenblatt);
    }
    
    /**
     * Konstruktor für Objekte der Klasse Mittellinie
     */
    public void zeichneMittellinie(ZEICHENFENSTER zeichenblatt)
    {   
        rechteckliste = new Rechteck[20];
        for (int i = 0; i < 16; i = i + 1)
        {
            rechteckliste[i] = new Rechteck(645, i*900/15+10, 10, 40, 8);
            zeichenblatt.fuelleRechteck(rechteckliste[i].getxPos(), rechteckliste[i].getyPos(), rechteckliste[i].getbreite(), rechteckliste[i].gethoehe(), rechteckliste[i].getfarbe());
        }
    }
}